
From: Jeff Dike <jdike@addtoit.com>

This fixes a build breakage introduced by Alan's tty cleanups.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Alan Cox <alan@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/drivers/chan_kern.c |   18 ++----------------
 1 files changed, 2 insertions(+), 16 deletions(-)

diff -puN arch/um/drivers/chan_kern.c~tty-layer-buffering-revamp-uml-fix arch/um/drivers/chan_kern.c
--- 25/arch/um/drivers/chan_kern.c~tty-layer-buffering-revamp-uml-fix	Thu Sep  1 17:18:59 2005
+++ 25-akpm/arch/um/drivers/chan_kern.c	Thu Sep  1 17:18:59 2005
@@ -161,9 +161,6 @@ static void tty_receive_char(struct tty_
 		}
 	}
 
-	if((tty->flip.flag_buf_ptr == NULL) || 
-	   (tty->flip.char_buf_ptr == NULL))
-		return;
 	tty_insert_flip_char(tty, ch, TTY_NORMAL);
 }
 
@@ -542,8 +539,8 @@ void chan_interrupt(struct list_head *ch
 		chan = list_entry(ele, struct chan, list);
 		if(!chan->input || (chan->ops->read == NULL)) continue;
 		do {
-			if((tty != NULL) && 
-			   (tty->flip.count >= TTY_FLIPBUF_SIZE)){
+			if((tty != NULL) &&
+			   !tty_buffer_request_room(tty, 1)){
 				schedule_work(task);
 				goto out;
 			}
@@ -572,14 +569,3 @@ void chan_interrupt(struct list_head *ch
  out:
 	if(tty) tty_flip_buffer_push(tty);
 }
-
-/*
- * Overrides for Emacs so that we follow Linus's tabbing style.
- * Emacs will notice this stuff at the end of the file and automatically
- * adjust the settings for this buffer only.  This must remain at the end
- * of the file.
- * ---------------------------------------------------------------------------
- * Local variables:
- * c-file-style: "linux"
- * End:
- */
_
